package com.ynet.life.action;

import com.ibm.icu.math.BigDecimal;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.StringTokenizer;
import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;
import javax.script.ScriptException;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/CalculatePreliminaryCredit.class */
public class CalculatePreliminaryCredit extends LifeJDBCAction {
    private static final String FIELD_SEPERATOR = "||";
    static Map<String, String> finanicalAllMap = null;
    static List<String> financialList = null;
    private List outputFields;
    private static final String QUERY_DATA = "SELECT PCI_CDSCOUNT,PCI_COMCOUNT,PCI_SOCCOUNT,PCI_REGCAP,PCI_ASSCOUNT,PCI_EQUCOUNT,PCI_DEBCOUNT,PCI_BUSCOUNT,PCI_PROCOUNT,PCI_LIACOUNT,PCI_ATPCOUNT,PCI_ASFCOUNT,PCI_AFGCOUNT,ccs.cl,ccs.cl1 FROM FSP_COR_INF_SZYQ fci LEFT JOIN credit_corinf_snap ccs ON ccs.FCI_CORNO = fci.FCI_CORNO WHERE fci.FCI_CORNO =?";
    private static final String QUERY_OTHER_DATA = "SELECT t.FID_TOTALACCESTS,t.FID_PAIDINCAPITAL,t.FID_OPERATINGINCOME,t.FID_NETPROFITS FROM (SELECT FCI_CORNO,FID_TOTALACCESTS,FID_PAIDINCAPITAL,FID_OPERATINGINCOME,FID_NETPROFITS,FID_YEAR,FID_STT FROM fsp_cor_inf_szyq LEFT JOIN data_import_details_financialdata ON PCI_ORGCODE = FID_ORGCODE UNION ALL SELECT FCI_CORNO,FID_TOTALACCESTS,FID_PAIDINCAPITAL,FID_OPERATINGINCOME,FID_NETPROFITS,FID_YEAR,FID_STT FROM fsp_cor_inf_szyq LEFT JOIN data_import_details_financialdata ON PCI_ORGCODE != FID_ORGCODE AND PCI_ORGANCODEEP = FID_ORGANCODEEP UNION ALL SELECT FCI_CORNO,FID_TOTALACCESTS,FID_PAIDINCAPITAL,FID_OPERATINGINCOME,FID_NETPROFITS,FID_YEAR,FID_STT FROM fsp_cor_inf_szyq LEFT JOIN data_import_details_financialdata ON PCI_ORGCODE != FID_ORGCODE AND PCI_ORGANCODEEP != FID_ORGANCODEEP AND PCI_NAMECN = FID_CORNAME)t WHERE t.FCI_CORNO=? AND t.FID_STT='0' ORDER BY t.FID_YEAR DESC LIMIT 1";
    private static final String QUARY_BANK_ALL = "SELECT CDA_DESIGNTYPE,CDA_DESIGNFORMULAS,CDA_FLOWNO FROM engine_credit_decision_apppar WHERE CDA_ISPUTAWAY='1' AND CDA_TYPE ='6' AND CDA_FINANCEID =? GROUP BY CDA_DESIGNTYPE ";
    private static final String QUARY_BANK = "SELECT CDA_DESIGNTYPE,CDA_DESIGNFORMULAS,CDA_FLOWNO FROM engine_credit_decision_apppar WHERE CDA_ISPUTAWAY='1' AND CDA_TYPE ='7' AND CDA_FINANCEID =? AND CDA_PROFLOWNO =? GROUP BY CDA_DESIGNTYPE ";
    private static final String QUERY_EXPORT_ALL = "SELECT CDA_DESIGNTYPE,CDA_DESIGNFORMULAS,CDA_FLOWNO FROM engine_credit_decision_apppar WHERE CDA_ISPUTAWAY = '1' AND CDA_TYPE ='4' GROUP BY CDA_DESIGNTYPE";
    private static final String QUERY_EXPORT = "SELECT CDA_DESIGNTYPE,CDA_DESIGNFORMULAS,CDA_FLOWNO FROM engine_credit_decision_apppar WHERE CDA_ISPUTAWAY = '1' AND CDA_TYPE ='5' AND CDA_FINANCEID =? AND CDA_PROFLOWNO =? GROUP BY CDA_DESIGNTYPE";
    private static final String QUERY_FINANICAL_ALL = "SELECT CDA_DESIGNTYPE,CDA_DESIGNFORMULAS,CDA_FLOWNO FROM engine_credit_decision_apppar WHERE CDA_ISPUTAWAY = '1' AND CDA_TYPE ='1' GROUP BY CDA_DESIGNTYPE";
    private static final String QUERY_FINANICAL = "SELECT CDA_DESIGNTYPE,CDA_DESIGNFORMULAS,CDA_FLOWNO FROM engine_credit_decision_apppar WHERE CDA_ISPUTAWAY = '1' AND CDA_TYPE ='2' GROUP BY CDA_DESIGNTYPE";
    private static final String QUERY_PRODUCT = "SELECT CDA_DESIGNTYPE,CDA_DESIGNFORMULAS,CDA_FLOWNO FROM engine_credit_decision_apppar WHERE CDA_ISPUTAWAY = '1' AND CDA_TYPE ='3' AND CDA_FINANCEID =? AND CDA_PROFLOWNO =? GROUP BY CDA_DESIGNTYPE";
    private static final String QUERY_RATING = "SELECT scoreinfo_rating FROM credit_score WHERE cs_corNo=?";
    private static final String QUERY_QUELIFICATIONTYPE = "SELECT CMA_QUELIFICATIONTYPE FROM (SELECT CMA_QUELIFICATIONTYPE,CMA_STT,CMA_QUELIFICATIONSTT,FCI_CORNO FROM fsp_cor_inf_szyq  INNER JOIN data_import_details_corcmaf ON PCI_ORGCODE = CMA_ORGCODE UNION ALL SELECT CMA_QUELIFICATIONTYPE,CMA_STT,CMA_QUELIFICATIONSTT,FCI_CORNO FROM fsp_cor_inf_szyq  INNER JOIN data_import_details_corcmaf ON PCI_ORGCODE != CMA_ORGCODE AND PCI_ORGANCODEEP = CMA_ORGANCODEEP UNION ALL SELECT CMA_QUELIFICATIONTYPE,CMA_STT,CMA_QUELIFICATIONSTT,FCI_CORNO FROM fsp_cor_inf_szyq  INNER JOIN data_import_details_corcmaf ON PCI_ORGCODE != CMA_ORGCODE AND PCI_ORGANCODEEP != CMA_ORGANCODEEP AND PCI_NAMECN = CMA_CORNAME ) t WHERE t.CMA_STT='0' AND t.CMA_QUELIFICATIONSTT='0' AND t.FCI_CORNO=?";
    private static final String QUERY_EMERGINGINDUSTRY = "SELECT FCBI_EMERGINGINDUSTRY FROM (SELECT FCBI_EMERGINGINDUSTRY,FCI_CORNO FROM fsp_cor_inf_szyq LEFT JOIN fsp_cor_base_info ON PCI_ORGCODE = FCBI_ORGCODE UNION ALL SELECT FCBI_EMERGINGINDUSTRY,FCI_CORNO FROM fsp_cor_inf_szyq  LEFT JOIN fsp_cor_base_info ON PCI_ORGCODE != FCBI_ORGCODE AND PCI_ORGANCODEEP = FCBI_ORGANCODEEP UNION ALL SELECT FCBI_EMERGINGINDUSTRY,FCI_CORNO FROM fsp_cor_inf_szyq LEFT JOIN fsp_cor_base_info ON PCI_ORGCODE != FCBI_ORGCODE AND PCI_ORGANCODEEP != FCBI_ORGANCODEEP AND PCI_NAMECN = FCBI_CORNAME) t WHERE t.FCI_CORNO=? and FCBI_EMERGINGINDUSTRY is not null";
    private static final String QUERY_EXPRESSION = "SELECT GROUP_CONCAT(CDE_NAME),GROUP_CONCAT(CDE_CODE),GROUP_CONCAT(CDE_VALUE),CDE_ALIAS FROM engine_credit_decision_expression WHERE CDE_CDAFLOWNO=? and CDE_TYPE=? GROUP BY CDE_ALIAS ";
    private String proNo = "";
    private String curNo = "";
    private Map expressionMap = new HashMap();
    private List<String> branchList;

    public String execute(Context context) throws GENEException {
        List<String> resultList;
        if (this.outputFields == null || "".equals(this.outputFields)) {
            throw new TranFailException("存储输出结果的数据域名称不能为空");
        }
        String productFlowNo = (String) context.getDataValue("productFlowNo");
        String companyNo = (String) context.getDataValue("companyNo");
        String financeBranchNo = (String) context.getDataValue("financeBranchNo");
        String roleId = (String) context.getDataValue("roleId");
        this.proNo = "";
        this.curNo = "";
        this.expressionMap = new HashMap();
        Connection connection = null;
        try {
            try {
                connection = LifeDBAccess.getConnection(getDataSource());
                this.branchList = new ArrayList();
                this.branchList.add(companyNo);
                List dataList = LifeDBAccess.querySingleResult(connection, QUERY_DATA, this.branchList, 15);
                List dataOtherList = LifeDBAccess.querySingleResult(connection, QUERY_OTHER_DATA, this.branchList, 4);
                dataList.addAll(dataOtherList);
                Map<String, String> dataMap = getDataMap(dataList);
                if ("000001".equals(roleId) || "000009".equals(roleId)) {
                    Map<String, String> centreAllMap = getCompetentBankCommon(connection, QUERY_FINANICAL, dataMap);
                    Map<String, String> centreProMap = getProductExp(connection, QUERY_PRODUCT, financeBranchNo, productFlowNo, dataMap);
                    resultList = centre(this.expressionMap, centreProMap, centreAllMap);
                } else if ("000010".equals(roleId)) {
                    Map<String, String> exportAllMap = getCompetentBankCommon(connection, QUERY_EXPORT_ALL, dataMap);
                    Map<String, String> exportProMap = getProductExp(connection, QUERY_EXPORT, financeBranchNo, productFlowNo, dataMap);
                    resultList = exportCal(this.expressionMap, exportProMap, exportAllMap);
                } else {
                    finanicalAllMap = getCompetentBankCommon(connection, QUERY_FINANICAL_ALL, dataMap);
                    if ((financeBranchNo == "" || financeBranchNo == null) && (productFlowNo == "" || productFlowNo == null)) {
                        resultList = getProductCredit(this.expressionMap);
                    } else {
                        new HashMap();
                        new HashMap();
                        Map<String, String> bankAllMap = getBankCommon(connection, QUARY_BANK_ALL, financeBranchNo, dataMap);
                        Map<String, String> productMap = getProductExp(connection, QUARY_BANK, financeBranchNo, productFlowNo, dataMap);
                        resultList = productCal(this.expressionMap, productMap, bankAllMap);
                    }
                }
                int dateSize = this.outputFields.size();
                for (int i = 0; i < dateSize; i++) {
                    context.put((String) this.outputFields.get(i), resultList.get(i));
                }
                LifeDBAccess.releaseConnection(getDataSource(), connection);
                return "0";
            } catch (Exception e) {
                TranFailException tfe = new TranFailException(e);
                Trace.logError("LOAF", e.getMessage(), e);
                context.put("GENEException", tfe);
                throw tfe;
            }
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection(getDataSource(), connection);
            throw th;
        }
    }

    private Map<String, String> addExpression(Connection connection, Map<String, String> dataMap, List<String> list) {
        return calRating(connection, calEmergingindustry(connection, calQuelificationtype(connection, dataMap, list), list), list);
    }

    /* JADX WARN: Code restructure failed: missing block: B:28:0x0081, code lost:
    
        r7.put(r0, "1");
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private java.util.Map<java.lang.String, java.lang.String> calRating(java.sql.Connection r6, java.util.Map<java.lang.String, java.lang.String> r7, java.util.List<java.lang.String> r8) {
        /*
            Method dump skipped, instructions count: 264
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.ynet.life.action.CalculatePreliminaryCredit.calRating(java.sql.Connection, java.util.Map, java.util.List):java.util.Map");
    }

    /* JADX WARN: Code restructure failed: missing block: B:28:0x0081, code lost:
    
        r7.put(r0, "1");
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private java.util.Map<java.lang.String, java.lang.String> calEmergingindustry(java.sql.Connection r6, java.util.Map<java.lang.String, java.lang.String> r7, java.util.List<java.lang.String> r8) {
        /*
            Method dump skipped, instructions count: 264
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.ynet.life.action.CalculatePreliminaryCredit.calEmergingindustry(java.sql.Connection, java.util.Map, java.util.List):java.util.Map");
    }

    private Map<String, String> calQuelificationtype(Connection connection, Map<String, String> dataMap, List<String> list) {
        String flowNo = "".equals(this.proNo) ? this.curNo : this.proNo;
        List<String> seqList = new ArrayList<>();
        try {
            try {
                List<List> dataList = LifeDBAccess.queryMultipleResult(connection, QUERY_QUELIFICATIONTYPE, list, 1);
                seqList.add(flowNo);
                seqList.add("4");
                List<List<String>> resultList = LifeDBAccess.queryMultipleResult(connection, QUERY_EXPRESSION, seqList, 4);
                for (int j = 0; j < resultList.size(); j++) {
                    String[] codeList = resultList.get(j).get(1).split(",");
                    String[] value = resultList.get(j).get(2).split(",");
                    String alias = resultList.get(j).get(3);
                    int i = 0;
                    while (i < codeList.length) {
                        int z = dataList.size();
                        int k = 0;
                        while (true) {
                            if (k >= z) {
                                break;
                            }
                            if (!dataList.get(k).get(0).equals(codeList[i])) {
                                k++;
                            } else {
                                dataMap.put(alias, value[i]);
                                break;
                            }
                        }
                        if (k != z) {
                            break;
                        }
                        i++;
                    }
                    if (i == codeList.length) {
                        dataMap.put(alias, "1");
                    }
                }
            } catch (Exception e) {
                Trace.logError("LOAF", e.getMessage(), e);
                LifeDBAccess.cleanResources((PreparedStatement) null, (ResultSet) null);
            }
            return dataMap;
        } finally {
            LifeDBAccess.cleanResources((PreparedStatement) null, (ResultSet) null);
        }
    }

    private Map<String, String> getCompetentBankCommon(Connection connection, String sql, Map<String, String> dataMap) {
        PreparedStatement ps = null;
        ResultSet resultSet = null;
        Map<String, String> rowData = new HashMap<>();
        new ArrayList();
        try {
            try {
                PreparedStatement prepareStatement = connection.prepareStatement(sql);
                ps = prepareStatement;
                resultSet = prepareStatement.executeQuery();
                while (resultSet.next()) {
                    Map<String, String> mapNew = new HashMap<>();
                    mapNew.putAll(dataMap);
                    int key = resultSet.getInt(1);
                    String value = resultSet.getString(2);
                    rowData.put(new StringBuilder(String.valueOf(key)).toString(), value);
                    this.curNo = resultSet.getString(3);
                    Map<String, String> mapNew2 = addExpression(connection, mapNew, this.branchList);
                    if (this.expressionMap.containsKey(new StringBuilder(String.valueOf(key)).toString())) {
                        this.expressionMap.remove(new StringBuilder(String.valueOf(key)).toString());
                    }
                    this.expressionMap.put(new StringBuilder(String.valueOf(key)).toString(), mapNew2);
                }
                LifeDBAccess.cleanResources(ps, resultSet);
            } catch (SQLException e) {
                Trace.logError("LOAF", e.getMessage(), e);
                LifeDBAccess.cleanResources(ps, resultSet);
            }
            return rowData;
        } catch (Throwable th) {
            LifeDBAccess.cleanResources(ps, resultSet);
            throw th;
        }
    }

    private Map<String, String> getBankCommon(Connection connection, String sql, String financeBranchNo, Map<String, String> dataMap) {
        PreparedStatement ps = null;
        ResultSet resultSet = null;
        Map<String, String> rowData = new HashMap<>();
        ArrayList<String> financeBranchNoList = new ArrayList<>();
        financeBranchNoList.add(financeBranchNo);
        try {
            try {
                ps = connection.prepareStatement(sql);
                if (financeBranchNoList.size() > 0) {
                    fillStringInput(financeBranchNoList, ps);
                }
                resultSet = ps.executeQuery();
                while (resultSet.next()) {
                    Map<String, String> mapNew = new HashMap<>();
                    mapNew.putAll(dataMap);
                    int key = resultSet.getInt(1);
                    String value = resultSet.getString(2);
                    rowData.put(new StringBuilder(String.valueOf(key)).toString(), value);
                    this.curNo = resultSet.getString(3);
                    Map<String, String> mapNew2 = addExpression(connection, mapNew, this.branchList);
                    if (this.expressionMap.containsKey(new StringBuilder(String.valueOf(key)).toString())) {
                        this.expressionMap.remove(new StringBuilder(String.valueOf(key)).toString());
                    }
                    this.expressionMap.put(new StringBuilder(String.valueOf(key)).toString(), mapNew2);
                }
                LifeDBAccess.cleanResources(ps, resultSet);
            } catch (SQLException e) {
                Trace.logError("LOAF", e.getMessage(), e);
                LifeDBAccess.cleanResources(ps, resultSet);
            }
            return rowData;
        } catch (Throwable th) {
            LifeDBAccess.cleanResources(ps, resultSet);
            throw th;
        }
    }

    private Map<String, String> getProductExp(Connection connection, String sql, String financeBranchNo, String productFlowNo, Map<String, String> dataMap) {
        PreparedStatement ps = null;
        ResultSet resultSet = null;
        Map<String, String> rowData = new HashMap<>();
        ArrayList<String> dataList = new ArrayList<>();
        dataList.add(financeBranchNo);
        dataList.add(productFlowNo);
        try {
            try {
                ps = connection.prepareStatement(sql);
                if (dataList.size() > 0) {
                    fillStringInput(dataList, ps);
                }
                resultSet = ps.executeQuery();
                while (resultSet.next()) {
                    Map<String, String> mapNew = new HashMap<>();
                    mapNew.putAll(dataMap);
                    int key = resultSet.getInt(1);
                    String value = resultSet.getString(2);
                    rowData.put(new StringBuilder(String.valueOf(key)).toString(), value);
                    this.proNo = resultSet.getString(3);
                    Map<String, String> mapNew2 = addExpression(connection, mapNew, this.branchList);
                    if (this.expressionMap.containsKey(new StringBuilder(String.valueOf(key)).toString())) {
                        this.expressionMap.remove(new StringBuilder(String.valueOf(key)).toString());
                    }
                    this.expressionMap.put(new StringBuilder(String.valueOf(key)).toString(), mapNew2);
                }
                LifeDBAccess.cleanResources(ps, resultSet);
            } catch (SQLException e) {
                Trace.logError("LOAF", e.getMessage(), e);
                LifeDBAccess.cleanResources(ps, resultSet);
            }
            return rowData;
        } catch (Throwable th) {
            LifeDBAccess.cleanResources(ps, resultSet);
            throw th;
        }
    }

    public static void fillStringInput(List inputList, PreparedStatement statement) throws SQLException {
        int inputSize = inputList.size();
        for (int i = 1; i <= inputSize; i++) {
            statement.setString(i, (String) inputList.get(i - 1));
        }
    }

    private Map<String, String> getDataMap(List dataList) {
        Map<String, String> map = new HashMap<>();
        for (int i = 0; i < dataList.size(); i++) {
            if (dataList.get(i) == null || "".equals(dataList.get(i))) {
                dataList.set(i, "0");
            }
        }
        map.put("CDSCOUNT", (String) dataList.get(0));
        map.put("COMCOUNT", (String) dataList.get(1));
        map.put("SOCCOUNT", (String) dataList.get(2));
        map.put("REGCAPITAL", (String) dataList.get(3));
        map.put("ASSCOUNT", (String) dataList.get(4));
        map.put("EQUCOUNT", (String) dataList.get(5));
        map.put("LIATOTAL", (String) dataList.get(6));
        map.put("BUSCOUNT", (String) dataList.get(7));
        map.put("PROCOUNT", (String) dataList.get(8));
        map.put("LIACOUNT", (String) dataList.get(9));
        map.put("ATPCOUNT", (String) dataList.get(10));
        map.put("SMALLLOANCOUNT", (String) dataList.get(11));
        map.put("FINASSURANCE", (String) dataList.get(12));
        map.put("TOTALCREDITAMT", (String) dataList.get(13));
        map.put("CREDITAMT", (String) dataList.get(14));
        if (dataList.size() > 15) {
            map.put("TOTALACCESTS", (String) dataList.get(15));
            map.put("PAIDINCAPITAL", (String) dataList.get(16));
            map.put("OPERATINGINCOME", (String) dataList.get(17));
            map.put("NETPROFITS", (String) dataList.get(18));
        }
        return map;
    }

    private List<String> centre(Map<String, Map> map, Map<String, String> centreProMap, Map<String, String> centreAllMap) {
        String limit = null;
        String deadlineExpress = null;
        String rateExpress = null;
        List<String> formulaList = new ArrayList<>();
        if (centreProMap.containsKey("1")) {
            String limit2 = centreProMap.get("1");
            limit = convert(map.get("1"), limit2);
        } else if (centreAllMap.containsKey("1")) {
            String limit3 = centreAllMap.get("1");
            limit = convert(map.get("1"), limit3);
        } else {
            formulaList.add("");
        }
        if (limit != null) {
            if ("".equals(limit)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(limit, "1"));
            }
        }
        if (centreProMap.containsKey("2")) {
            String deadline = centreProMap.get("2");
            deadlineExpress = convert(map.get("2"), deadline);
        } else if (centreAllMap.containsKey("2")) {
            String deadline2 = centreAllMap.get("2");
            deadlineExpress = convert(map.get("2"), deadline2);
        } else {
            formulaList.add("");
        }
        if (deadlineExpress != null) {
            if ("".equals(deadlineExpress)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(deadlineExpress, "2"));
            }
        }
        if (centreProMap.containsKey("3")) {
            String rate = centreProMap.get("3");
            rateExpress = convert(map.get("3"), rate);
        } else if (centreAllMap.containsKey("3")) {
            String rate2 = centreAllMap.get("3");
            rateExpress = convert(map.get("3"), rate2);
        } else {
            formulaList.add("");
        }
        if (rateExpress != null) {
            if ("".equals(rateExpress)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(rateExpress, "3"));
            }
        }
        return formulaList;
    }

    private List<String> exportCal(Map<String, Map> map, Map<String, String> exportProMap, Map<String, String> exportAllMap) {
        String limit = null;
        String deadlineExpress = null;
        String rateExpress = null;
        List<String> formulaList = new ArrayList<>();
        if (exportProMap.containsKey("1")) {
            String limit2 = exportProMap.get("1");
            limit = convert(map.get("1"), limit2);
        } else if (exportAllMap.containsKey("1")) {
            String limit3 = exportAllMap.get("1");
            limit = convert(map.get("1"), limit3);
        } else {
            formulaList.add("");
        }
        if (limit != null) {
            if ("".equals(limit)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(limit, "1"));
            }
        }
        if (exportProMap.containsKey("2")) {
            String deadline = exportProMap.get("2");
            deadlineExpress = convert(map.get("2"), deadline);
        } else if (exportAllMap.containsKey("2")) {
            String deadline2 = exportAllMap.get("2");
            deadlineExpress = convert(map.get("2"), deadline2);
        } else {
            formulaList.add("");
        }
        if (deadlineExpress != null) {
            if ("".equals(deadlineExpress)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(deadlineExpress, "2"));
            }
        }
        if (exportProMap.containsKey("3")) {
            String rate = exportProMap.get("3");
            rateExpress = convert(map.get("3"), rate);
        } else if (exportAllMap.containsKey("3")) {
            String rate2 = exportAllMap.get("3");
            rateExpress = convert(map.get("3"), rate2);
        } else {
            formulaList.add("");
        }
        if (rateExpress != null) {
            if ("".equals(rateExpress)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(rateExpress, "3"));
            }
        }
        return formulaList;
    }

    private List<String> productCal(Map<String, Map> map, Map<String, String> productMap, Map<String, String> bankAllMap) {
        String limit = null;
        String deadlineExpress = null;
        String rateExpress = null;
        List<String> formulaList = new ArrayList<>();
        if (productMap.containsKey("1")) {
            String limit2 = productMap.get("1");
            limit = convert(map.get("1"), limit2);
        } else if (bankAllMap.containsKey("1")) {
            String limit3 = bankAllMap.get("1");
            limit = convert(map.get("1"), limit3);
        } else if (finanicalAllMap.containsKey("1")) {
            String limit4 = finanicalAllMap.get("1");
            limit = convert(map.get("1"), limit4);
        } else {
            formulaList.add("");
        }
        if (limit != null) {
            if ("".equals(limit)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(limit, "1"));
            }
        }
        if (productMap.containsKey("2")) {
            String deadline = productMap.get("2");
            deadlineExpress = convert(map.get("2"), deadline);
        } else if (bankAllMap.containsKey("2")) {
            String deadline2 = bankAllMap.get("2");
            deadlineExpress = convert(map.get("2"), deadline2);
        } else if (finanicalAllMap.containsKey("2")) {
            String deadline3 = finanicalAllMap.get("2");
            deadlineExpress = convert(map.get("2"), deadline3);
        } else {
            formulaList.add("");
        }
        if (deadlineExpress != null) {
            if ("".equals(deadlineExpress)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(deadlineExpress, "2"));
            }
        }
        if (productMap.containsKey("3")) {
            String rate = productMap.get("3");
            rateExpress = convert(map.get("3"), rate);
        } else if (bankAllMap.containsKey("3")) {
            String rate2 = bankAllMap.get("3");
            rateExpress = convert(map.get("3"), rate2);
        } else if (finanicalAllMap.containsKey("3")) {
            String rate3 = finanicalAllMap.get("3");
            rateExpress = convert(map.get("3"), rate3);
        } else {
            formulaList.add("");
        }
        if (rateExpress != null) {
            if ("".equals(rateExpress)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(rateExpress, "3"));
            }
        }
        return formulaList;
    }

    private List<String> getProductCredit(Map<String, Map> map) {
        String str = null;
        String deadlineExpress = null;
        String rateExpress = null;
        List<String> formulaList = new ArrayList<>();
        if (finanicalAllMap.containsKey("1")) {
            String limit = finanicalAllMap.get("1");
            str = convert(map.get("1"), limit);
        } else {
            formulaList.add("");
        }
        if (str != null) {
            if ("".equals(str)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(str, "1"));
            }
        }
        if (finanicalAllMap.containsKey("2")) {
            String deadline = finanicalAllMap.get("2");
            deadlineExpress = convert(map.get("2"), deadline);
        } else {
            formulaList.add("");
        }
        if (deadlineExpress != null) {
            if ("".equals(deadlineExpress)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(deadlineExpress, "2"));
            }
        }
        if (finanicalAllMap.containsKey("3")) {
            String rate = finanicalAllMap.get("3");
            rateExpress = convert(map.get("3"), rate);
        } else {
            formulaList.add("");
        }
        if (rateExpress != null) {
            if ("".equals(rateExpress)) {
                formulaList.add("");
            } else {
                formulaList.add(calculateExpressValue(rateExpress, "3"));
            }
        }
        return formulaList;
    }

    private String convert(Map<String, String> map, String express) {
        for (String strs : map.keySet()) {
            if (express.indexOf(strs) != -1) {
                if (map.get(strs) == null) {
                    return "";
                }
                express = express.replaceAll(strs, map.get(strs));
            }
        }
        return express;
    }

    private String calculateExpressValue(String str, String type) {
        ScriptEngine se = new ScriptEngineManager().getEngineByName("js");
        String value = null;
        try {
            Double obj = (Double) se.eval(str);
            if (Double.POSITIVE_INFINITY == obj.doubleValue() || Double.NEGATIVE_INFINITY == obj.doubleValue() || obj.isNaN()) {
                value = "";
            } else {
                BigDecimal bd = new BigDecimal(obj.doubleValue());
                if ("1".equals(type) || "2".equals(type)) {
                    value = String.valueOf(bd.setScale(0, 4));
                } else {
                    value = String.valueOf(bd.setScale(4, 4));
                }
            }
        } catch (ScriptException e) {
            Trace.logError("LOAF", e.getMessage(), e);
        }
        return value;
    }

    public void setOutputFields(String outputFields) {
        List result = new ArrayList();
        StringTokenizer toke = new StringTokenizer(outputFields, FIELD_SEPERATOR);
        while (toke.hasMoreElements()) {
            String input = ((String) toke.nextElement()).trim();
            result.add(input);
        }
        this.outputFields = result;
    }
}
